Hi Guys, I need some help. I have a problem in a routine that selects different blocks from a comboxBox to built the markings for a runway. I'm using the getpoint utility to select the location I want the block to be inserted. Here is where the problems comes in. If after selecting the "select location" button to identify where to place the block IF the user uses the autocad tool bar ZOOM select by window the program blows-up. If you use any typing method it seems to work fine. 'z (pick,pick) From what I can tell it is using the same Getpoint and that's why it blows-up. is that right? ? How do I get around the getpoint and are there other command like this I should look out for. As always thanks, Have a great day. John Coon varDataPnt = ThisDrawing.Utility.GetPoint(, "Select insert point: ") Dim insertionPnt(0 To 2) As Double insertionPnt(0) = varDataPnt(0) insertionPnt(1) = varDataPnt(1) varDataPnt(2) = elevValue Dim objBlockRef As AcadBlockReference Set objBlockRef = ThisDrawing.ModelSpace.InsertBlock(varDataPnt, blockname, 1#, 1#, 1#, dblRot) ThisDrawing.ActiveLayer = currLayer objBlockRef.Update